Subject: Re: [PATCH 15/16] Add device tree for Ebony

From: Segher Boessenkool <[email-masked]>
Date: Thu, 15 Feb 2007 03:51:26 +0100

>> It doesn't really hurt to have a "#a = 0" prop, but it's
>> better to just not have a #a prop if you shouldn't have one.
>
> Let's have one for now. I think that's how I documented it and it works
> fine while I'm not sure the kernel code will cope with not having it 
> (it
> may ... or not).

It *used* to work some months ago, at least.

> There are various issues with the OF bindings, especially the imap one
> (and some pretty bad bugs in it)

You keep saying this but I can't find any (except in the
examples, there are some really obvious bugs there -- but
examples aren't part of the binding /per se/).  Can you
please tell me what these bugs are?

> and that's one of the reason I prefer
> not leaving anything to be "implicit" like this case.

It is not implicit; it is an exception.  It really is
wrong to have the #address-cells property in a node
like this (though pretty much harmless in practice).

> It want explicit
> mention of #address-cells/#size-cells/#interrupt-cells at all levels
> where they might enter the parser.

But they *cannot* be used by the parser (for memory
regions) here; and the parser for interrupt mappings
better handle this case correctly (and like I said,
I believe it does, at least in some cases ;-) ).

What you're really saying is "my code might handle
edge cases incorrectly, so please enter incorrect
input to avoid those cases".

Segher